Bug 33749 - Inconsistencies in Help pages on Cell Merging and Splitting (unmerging) in Calc
Summary: Inconsistencies in Help pages on Cell Merging and Splitting (unmerging) in Calc
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Ross Johnson
URL:
Whiteboard: target:3.5 target:7.3.0
Keywords: difficultyBeginner, easyHack, skillDesign, topicUI
Depends on:
Blocks: Help-Changes-Features
  Show dependency treegraph
 
Reported: 2011-01-31 01:30 UTC by Winfried Donkers
Modified: 2021-10-14 11:58 UTC (History)
16 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshots, See Comment 1 (106.44 KB, application/pdf)
2011-05-29 07:48 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Winfried Donkers 2011-01-31 01:30:35 UTC
The toolbar button 'join cells' works as a toggle switch. It joins or devides cells depending whether seperate cells are selected or a previously joined cell. This functionality is not mentioned in the help and gives confusion with the toolbar button 'devide cells'.
Comment 1 Rainer Bielefeld Retired 2011-05-29 07:46:37 UTC
Some inconsistences reproducible with "LibreOffice 3.4.0RC2  – WIN7  Home Premium  (64bit) English UI [OOO340m1 (Build:12)]". There are some additional strange effects and inconsistencies, pls see attached screenshots.

A. Button 'Merge and Center' toggles function, 'Merge' does not. That's unexpected (and also that the 'Merge and Center' icon becomes active after 'Merge' icon has been used.

B. 'Split Cell' icon  always is shown active, although function is impossible

C.: "Center" Missing in Tooltip and short help

D.: Same icon for different functions

E.: Wrong description of possible function

Translation / Localisatoin issues
----------------------------------
L. Tooltips and at least one translation [DE][FR] (expected: all) missing, please see attached sceenshots

M. Description wrong, no submenu, but toggling


@Dnk1287:
What "Help" are we talking about? Short help of can you also contribute a Help text reference for those buttons?

@all:
Please feel free to shift some of my items to separate bug reports.

@Kohei:
Please feel free to reassign if it's not your area!
Comment 2 Rainer Bielefeld Retired 2011-05-29 07:48:54 UTC
Created attachment 47274 [details]
Screenshots, See Comment 1
Comment 3 Christoph 2011-05-29 14:31:24 UTC
Good catch, Dnk1287, Rainer! It seems that some functionality of Calc has been "Excel-fied" to a certain degree - and quite some issues have been introduced.

For the record, OOo 3.3.0 (OOO330m20) behaves rather consistently:
* Only one item in the toolbar: "Merge Cells" toggles cell merging without (!) centering
* Only one item in the application menu: "Format -- Merge Cells" works like the toolbar item
* Option item "Merge Cells" can be added to the toolbar that only (!) activates merged cells. After merging, icon becomes inactive. (This seems strange ...)

Concerning the current LibO behavior, some other things that are weird:
a) Undoing the cell merge is called "split cells" - which is partly true with regard to similar Writer functionality (Excel: Unmerge cells)
b) "Merge and Center" sets both format "center" and "middle" - Excel behaves differently (just center, if I remember correctly)
c) The menu item "Merge and Center Cells" is inaccurate, since it is "Merge Cells and Center (Content)"
d) Extending Rainer's description for B (Split Cell always shown active), the menu item seems to reveal something very interesting. The menu item is grayed out, but the icon is not (???).

Is there any specification / EasyHack description that explains the initial idea for the change - unfortunately, at the moment, it seems barely usable.
Comment 4 Winfried Donkers 2011-06-06 08:50:05 UTC
(In reply to comment #1)
> Some inconsistences reproducible with "LibreOffice 3.4.0RC2  – WIN7  Home
> Premium  (64bit) English UI [OOO340m1 (Build:12)]". There are some additional
> strange effects and inconsistencies, pls see attached screenshots.
> 
> A. Button 'Merge and Center' toggles function, 'Merge' does not. That's
> unexpected (and also that the 'Merge and Center' icon becomes active after
> 'Merge' icon has been used.
> 
> B. 'Split Cell' icon  always is shown active, although function is impossible
> 
> C.: "Center" Missing in Tooltip and short help
> 
> D.: Same icon for different functions
> 
> E.: Wrong description of possible function
> 
> Translation / Localisatoin issues
> ----------------------------------
> L. Tooltips and at least one translation [DE][FR] (expected: all) missing,
> please see attached sceenshots
> 
> M. Description wrong, no submenu, but toggling
> 
> 
> @Dnk1287:
> What "Help" are we talking about? Short help of can you also contribute a Help
> text reference for those buttons?
> 
> @all:
> Please feel free to shift some of my items to separate bug reports.
> 
> @Kohei:
> Please feel free to reassign if it's not your area!

The help I meant is the help you get when pressing F1. As the functionality of the buttons is confusing now (I don't know whether the present functionality is the wished-for functionality) I do not feel able to contribute a help text reference. Also, my English may not be adequate.
Comment 5 Kohei Yoshida 2011-11-30 17:35:11 UTC
Hi Christoph,

Well, I need some help from you turning this into an actionable item.

(In reply to comment #3)
> Good catch, Dnk1287, Rainer! It seems that some functionality of Calc has been
> "Excel-fied" to a certain degree - and quite some issues have been introduced.
> 
> For the record, OOo 3.3.0 (OOO330m20) behaves rather consistently:
> * Only one item in the toolbar: "Merge Cells" toggles cell merging without (!)
> centering
> * Only one item in the application menu: "Format -- Merge Cells" works like the
> toolbar item
> * Option item "Merge Cells" can be added to the toolbar that only (!) activates
> merged cells. After merging, icon becomes inactive. (This seems strange ...)

Yes, that was the old behavior we replaced.  For the record, the Oracle folks (I don't remember who it was we were talking to) were quite receptive of our proposed change, which was never incorporated but now is in libreoffice.

> Concerning the current LibO behavior, some other things that are weird:
> a) Undoing the cell merge is called "split cells" - which is partly true with
> regard to similar Writer functionality (Excel: Unmerge cells)

Do you suggest that we change the wording here to Unmerge cells, instead of split cells?

> b) "Merge and Center" sets both format "center" and "middle" - Excel behaves
> differently (just center, if I remember correctly)

Ok. Which behavior do you think is more appropriate?  Center and middle, or just center?  I'm okay either way.

> c) The menu item "Merge and Center Cells" is inaccurate, since it is "Merge
> Cells and Center (Content)"

Do you suggest that we change it?  For comparison, Excel calls it "Merge and Center".

> d) Extending Rainer's description for B (Split Cell always shown active), the
> menu item seems to reveal something very interesting. The menu item is grayed
> out, but the icon is not (???).

Yeah.  I think we were supposed to provide two sets of the same icon: one for the active state and one for the inactive state.  I guess we forgot to include the one for the inactive state.  Easy to fix I think.

> Is there any specification / EasyHack description that explains the initial
> idea for the change - unfortunately, at the moment, it seems barely usable.

Unfortunately not.  I believe it was an ad-hoc change to bring this functionality closer to Excel's.  Let's just say that we now have the opportunity to right the wrong.  Your feedback to my above questions will certainly help us improve this. :-)

Thanks.
Comment 6 Kohei Yoshida 2011-12-12 10:17:16 UTC
I need input from Christoph in order to proceed.
Comment 7 Florian Reisinger 2012-08-14 14:01:47 UTC Comment hidden (obsolete)
Comment 8 Florian Reisinger 2012-08-14 14:02:50 UTC Comment hidden (obsolete)
Comment 9 Florian Reisinger 2012-08-14 14:07:25 UTC Comment hidden (obsolete)
Comment 10 Florian Reisinger 2012-08-14 14:09:31 UTC Comment hidden (obsolete)
Comment 11 Winfried Donkers 2012-08-15 05:52:55 UTC
Reopened this bug;

version 3.6.0.4 still lacks the help text that explains the behaviour of the toolbar button 'merge and centre cells'. The button acts as a toggle switch, e.g. either merges or splits the selected cell(s), but the help text (Libreoffice help, serach for merge cells or split cells) does not mention the double action of the button. It just mentions two separate menu options to either merge or split cells.
Comment 12 Winfried Donkers 2012-08-16 07:10:12 UTC
(In reply to comment #11)
Addition:
The tooltip (hint when mouse is above button) says 'merge and centre cells', even when the button action will be 'split merged cells'.
Comment 13 Julien Nabet 2014-08-24 07:05:04 UTC
Merge and Center Cells doesn't exist anymore, at least with 4.3.0.3, and certaily oldest version according to this commit:
http://cgit.freedesktop.org/libreoffice/core/commit/?id=a747ad22d5c44ce291fd1e502c3fa29008ae653a

I put it as WFM.
Don't hesitate to reopen this one if I missed something or simply am wrong.
If not, some cleaning could be useful, see:
- http://opengrok.libreoffice.org/search?q=%22.uno%3AToggleMergeCells%22&project=core&defs=&refs=&path=&hist=
- http://opengrok.libreoffice.org/search?q=ToggleMergeCells&project=core&defs=&refs=&path=&hist=
Winfried: If ok, I could do it
Comment 14 Winfried Donkers (retired) 2014-09-09 05:34:06 UTC
(In reply to comment #13)
> Merge and Center Cells doesn't exist anymore, [...]

In master (4.4.0.0alpha0+) the button 'merge and centre cells' still exists and the tooltip does not change with the functionality of the button (i.e. merge or unmerge).

I probably don't understand your comment, so I haven't changed the status reopened(yet).
Comment 15 Julien Nabet 2014-09-09 05:39:20 UTC
You're right Winfried! It doesn't appear with right click contextual menu but it's there in Format/Merge menu
Comment 16 Joel Madero 2014-11-03 04:47:44 UTC
Status should be NEW not REOPENED.
Comment 17 QA Administrators 2015-12-20 16:08:41 UTC Comment hidden (obsolete)
Comment 18 Winfried Donkers (retired) 2015-12-21 08:23:13 UTC
Bug report is still valid
Comment 19 Olivier Hallot 2016-02-09 11:56:47 UTC
I put this bug as a blocker of bug 80430 because it is a help text / documentation issue on the merge and center cell UI button.
Comment 20 Sophia Schroeder 2017-05-03 07:52:48 UTC
Maybe I can work on it in the near future, but I don't want to hold back others to take this task.
Comment 21 Rafael Lima 2021-08-30 22:09:27 UTC
Hi! This is a very old bug that hasn't been taken care of.

In my opinion this is not a Documentation bug because the problem is with the nomenclature used in the commands in LO Calc. The use of "Split cells" is incorrect and "Unmerge cells" is a better terminology.

Also, in MS Excel the command is called "Unmerge cells".

https://support.microsoft.com/en-us/office/merge-and-unmerge-cells-5cbd15d5-9375-4540-907f-c673a93fcedf

I believe the command should be renamed accordingly both in the Core:

https://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/Office/UI/CalcCommands.xcu

... and in the Help page / Documentation:

https://help.libreoffice.org/latest/en-US/text/scalc/guide/table_cellmerge.html

Since this is a change to the name of a much used command, I would like to hear the opinions of others on this matter before proceeding with a fix.
Comment 22 Julien Nabet 2021-08-31 05:19:15 UTC
Xisco/Heiko: thought you might be interested in this one to comment Rafael's suggestions.
Comment 23 Heiko Tietze 2021-09-01 09:40:35 UTC
Not a native speaker so with grain of salt: "Split" is more common and natural than "Unmerge" which implies that something has been merged before. All this discussion is quite academic to me. But OTOH renaming is pretty easy. However, where is "Split"?

The command in question is .uno:ToggleMergeCells with the label "Merge and Center Cells" (center means that regardless the alignment before the content will be cenetered). It splits/unmerges if applied to a previously merged cell.

We also have a checkbox in the sidebar "[ ] Merge cells" with the tooltip "Joins the selected cells into one"…

The command .uno:MergeCells (under Format > Merge) just merges and becomes disabled on previously merged cells. The pendant command is .uno:SplitCell with the label "Split Cells".

My take => NAB.
Comment 24 Rafael Lima 2021-09-02 18:54:34 UTC
(In reply to Heiko Tietze from comment #23)
> Not a native speaker so with grain of salt: "Split" is more common and
> natural than "Unmerge" which implies that something has been merged before.
> All this discussion is quite academic to me. But OTOH renaming is pretty
> easy. However, where is "Split"?

Hi Heiko. Just to be clear, in Writer the terminology is correct: "Split Cells". This is correct because in Writer, if you add a table you can select any cell and split it further. And the newly created cells can be split again, and again...

In Calc it is not possible to Split a cell. If you select a single cell, it is not possible to split it in two. The only thing that can be done is first to merge cells and later "Unmerge" them restoring their original situation.
Comment 25 Heiko Tietze 2021-09-03 09:26:23 UTC
(In reply to Rafael Lima from comment #24)
> ... in Writer the terminology is correct: "Split Cells". ... In Calc it 
> is not possible to Split a cell. 

True, so the only argument is consistency and burden for l10n.
Comment 26 Heiko Tietze 2021-09-09 12:40:00 UTC
(In reply to Heiko Tietze from comment #25)
> (In reply to Rafael Lima from comment #24)
> > ... in Writer the terminology is correct: "Split Cells". ... In Calc it 
> > is not possible to Split a cell. 
> 
> True, so the only argument is consistency and burden for l10n.

No further opinion, leaving it for the potential volunteer.

It's the label for .uno:SplitCell in CalcCommands.xcu and STR_UNDO_REMERGE (sic!) in sc/inc/globstr.hrc
Comment 27 Ross Johnson 2021-09-18 06:20:39 UTC
Proposal (relative to the current development version of LO):

1) Replace the entire "Format > Merge Cells" submenu with the single "Format > Merge and Center Cells" button with all the same behaviour it has on the Formatting Bar.
2) Replace the "Split Cells" button from the context menu of a selected merged cell with the "Merge and Center Cells" button showing the current merge status, as it does elsewhere.

Rationale:
The current behaviour of the "Merge and Center Cells" button on the Formatting Bar is consistent with all other formatting buttons, eg, "Align Left" is still "Align Left" (but shown activated) when the text is currently already left aligned, and toggling it off reverts the alignment to a default alignment. It behaves correctly and intuitively IMO.

The "Merge Cells" button in the "Format > Merge Cells" submenu should be removed as it appears to do the same as "Merge and Center Cells", that is, when it works correctly. It isn't helpful though as it has at least two problems: 1) it is greyed out if a merged cell is selected, unlike "Merge and Centre Cells"; 2) it becomes selectable when a range of cells is selected that includes a merged cell, but won't perform the merge.

Removing both "Merge Cells" and "Split Cells" buttons from the Format > Merge Cells submenu leaves one entry, the "Merge and Center Cells" button, which should then be promoted to the top level menu.
Comment 28 Julien Nabet 2021-09-18 07:30:29 UTC
Ross: let's put this one to ASSIGNED since you assigned yourself.
Comment 29 Ross Johnson 2021-09-18 08:08:17 UTC
Julian: did I miss that? I assumed that would change automatically. Sorry, I'm new and will watch out for it in future.
Comment 30 Ross Johnson 2021-09-18 08:09:32 UTC
Julien: Apologies with your name spelling.

Left out of my previous comment: Ticking the "Merge Cells" checkbox in the Properties sidebar Alignment section appears to adopt the alignment property of the top left-most cell in the merged range. I would not change anything in relation to this checkbox under my proposal.

I'm about to submit a patch to core for review. Changes to the help doco will be submitted soonish.
Comment 31 Julien Nabet 2021-09-18 08:17:21 UTC
Ross: don't worry, it's just nitpick to make fields coherent! :-) (some details here: https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/ASSIGNED)

Anyway, thank you for caring about this old bug!
Comment 32 Commit Notification 2021-09-20 14:17:08 UTC
Ross Johnson committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/7a45cfda035abefcda03767a4c81f93c69d593b1

tdf#33749 - HTML Help pages - reflect changes to cell merge in Calc
Comment 33 Commit Notification 2021-09-20 14:32:45 UTC
Ross Johnson committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8010a0a32c232f06534fdd56c2227c9c00798cfd

tdf#33749 - rationalise several confusing cell merge controls

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 34 Heiko Tietze 2021-09-21 04:48:19 UTC
Ross, please resolve the ticket as fixed when done. Feels always great but is your reward. Take it! :-)
Comment 35 Eike Rathke 2021-09-21 12:53:15 UTC
It looks like (haven't updated yet) with the applied change there's only .uno:ToggleMergeCells available, which also centres text. The merge that preserves the current alignment is not available anymore.
To me that's a regression.
Comment 36 Ross Johnson 2021-09-22 00:02:16 UTC Comment hidden (obsolete)
Comment 37 Ross Johnson 2021-09-22 00:03:54 UTC
This is my mistake. When comparing the two versions I unfortunately used "Merge and Centre Cells" first, then "Split Cells" then "Merge Cells" without realising that SPlit Cells doesn't restore the original alignment. In my comments I noted that both functions behave the identically, which is incorrect.

Reopening.
Comment 38 Ross Johnson 2021-09-22 00:12:51 UTC
Technically, it is still possible to merge cells and keep the current alignment from the Properties sidebar, but that is not enough.
Comment 39 Ross Johnson 2021-09-22 01:32:05 UTC
In hindsight it wasn't necessary to change the cell Context menu, so that should be reverted.

In the Context menu, "Merge Cells" and "Split Cells" only appear if they are properly actionable, so they also never appear together, unlike in the "Format > Merge Cells" sub menu where they misbehave. When they appear together they seem to be not fully aware of the current state of the selected cells, hence the issue with "Split Cells" remaining incorrectly actionable in "Format > Merge Cells" sub menu. Similarly, that may be why they do not appear in the Format toolbar.

As pointed out by previous commenters, where they appear together in Writer and Impress the tables they operate on allow splitting cells that have not been merged previously.
Comment 40 Ross Johnson 2021-09-22 02:49:54 UTC
(In reply to Ross Johnson from comment #39)
> hence the issue with "Split Cells" remaining incorrectly
> actionable in "Format > Merge Cells" sub menu. Similarly, that may be why
> they do not appear in the Format toolbar.

Not having a good week: it's the "Merge Cells" function in this sub menu that misbehaves.

While looking at another issue I've discovered that this fix is unfinished in relation to several of the other "User Interfaces" that LO offers.
Comment 41 Ross Johnson 2021-09-22 10:51:18 UTC
Preparing a new patchset to correct the regression that will:

Revert the two changes:
1) Cell context menu back to 7.2
2) "Format - Merge Cells" menu back to 7.2
3) Help pages to reflect this

Move forward with the following changes to address the original issue:
1) Rename "Split Cells" to "Unmerge Cells"
2) Add "Merge Cells" and "Unmerge Cells" to the Formatting toolbar alongside "Merge and Center Cells"
3) Help pages to reflect this.

There is another issue that should be fixed before submitting a new patch:
1) Pressing <F1> while hovering over "Merge Cells" brings up the Global (Shared) version of the "Merge" help page, not the Calc version. Ditto with "Split Cells".
Comment 42 Ross Johnson 2021-09-23 01:00:46 UTC
Assigning back to myself. Cureently resolving the context help (F1) issue (see my previous comment).
Comment 43 Ross Johnson 2021-09-24 12:48:12 UTC
The issue with the F1 help that I was seeing (see [Comment 4]) was due to a bug elsewhere that I was unfortunately caught by. A report already exists for that bug and I've left a comment there https://bugs.documentfoundation.org/show_bug.cgi?id=118588#c4.

The changes I've made to help files are now working correctly, specifically those for "Merge Cells" and "Unmerge Cells"/"Split Cell".

There were versions of these help pages for Calc and Writer/Impress that are now consolidated into one .xhp file with <switch select="appl"> to resolve the problem where Writer's Table Cell Merge/Split pages were shown in Calc, due to duplicate bookmark entries being inserted into hid2file.js (see https://bugs.documentfoundation.org/show_bug.cgi?id=120200#c2).

There should be a new patchset submitted in a day or so for review.
Comment 44 Ross Johnson 2021-09-25 07:04:25 UTC
What is the appropriate way to submit a new patchset for this issue please?

The previous patchset has been merged. I have a new patchset that backtracks on that change and goes in a slightly different direction.

Should the previous change be reverted in gerrit or should I just submit the new patch?
Comment 45 Buovjaga 2021-09-25 07:15:18 UTC
(In reply to Ross Johnson from comment #44)
> What is the appropriate way to submit a new patchset for this issue please?
> 
> The previous patchset has been merged. I have a new patchset that backtracks
> on that change and goes in a slightly different direction.
> 
> Should the previous change be reverted in gerrit or should I just submit the
> new patch?

You can just submit a new patch, no need to revert inbetween.
Comment 46 Ross Johnson 2021-09-25 09:11:47 UTC
Will do as soon I complete a build after rebase and run to verify.

Thanks.
Comment 47 Ross Johnson 2021-09-26 01:48:55 UTC
The previous change has been reverted in gerrit.

I'm now waiting for that to be reviewed and merged. New changes are pending some work on the alternative "User Interface" toolbars to make them consistent with the standard UI where appropriate.
Comment 48 Commit Notification 2021-09-27 05:02:24 UTC
Ross Johnson committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2c5a094e8a0e78b3b2be9b7894d888c43d22619c

Revert "tdf#33749 - rationalise several confusing cell merge controls"

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 49 Ross Johnson 2021-09-27 10:50:12 UTC
This comment is an attempt to recap this issue (with a little additional analysis hoping to get closer to an appropriate change):

So far:

1) most of the more important inconsistencies reported have been resolved prior to my involvement.

2) Rafael's proposal [comment 21] and argument [comment 24] for renaming "Split Cells" in Calc to "Unmerge Cells" makes sense. He noted it will be familiar to Excel users.

3) The toggle button showing the tooltip "Merge and Center Cells" in both the "on" and "off" state is still there and was causing confusion, but perhaps less so now with the overall past improvements.

4) There are problems with the context help (F1) not correctly describing the control that is in-focus.


Response:

1) No action required. That previous work has done much to clarify the functioning of these controls and improve the UI.

2) This is in the changes soon to be submitted. Users will see the labeling is different in Calc to that in Writer/Impress tables, which will match the different capabilities in those contexts. Having the correct help pages appearing will support the labeling change.

3) At least some of the confusion stems from how a user interprets information in a tooltip, as distinct from a label that is always visible placed beside a control. With the combination of a label and the state displayed by the control it is clear what action will take place. A tooltip is more likely to be interpreted in isolation.

The Properties sidebar "Merge Cells" checkbox has such a label and it's clear what it means when both checking and un-checking the box. Similarly in the "Format - Merge Cells" sub menu, the toggle button is labeled "Merge and Center Cells". In cases like this the tooltip could provide additional information. Does LO have the capability to alternate tooltips with control state, as it does with icons?

In the "Tabbed" style User Interface, the "Merge and Center Cells" toggle button in the Home tab toolbar has the tooltip (I think) displayed as a label below the button. This appears to be automatic depending on the space available. There is not enough space in the standard UI toolbars to do this there.

Interestingly there are several toggle buttons on the Format toolbar that don't have labels, eg. "Bold" or "Align Left" etc and users aren't generally confused by those. So what is the difference? The groupings? Would including all three cell merge related controls help? They are often used and should be more easily accessible.

Excel includes four merge functions in its toolbar/ribbon in a drop down menu. It's designers could have included all four of the controls on the toolbar itself in the same space that the drop menu and it's label occupy. The drop down menu label is "Merge and Center Cells" and yet the menu includes three controls that don't center the alignment.

Google Docs Sheets does both more and less than LO. None of it's merge functions appear to center align. It preserves the top left-most cell (same as LO) but loses all other cell values. It's merge can merge previously merged cells, where LO achieves the same result with "Split Cells" followed by "Merge Cells", or with just two clicks on the Properties - Merge Cells checkbox. They also use the term "Unmerge".

4) This is fixed in the changes soon to be submitted.
Comment 50 Commit Notification 2021-09-27 13:57:03 UTC
Ross Johnson committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/7cf8e3f561e8b68134e46f874507fecd25b9f5b1

Revert "tdf#33749 - HTML Help pages - reflect changes to cell merge in Calc"
Comment 51 Commit Notification 2021-10-01 10:46:55 UTC
Ross Johnson committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/0b9b6542a8432d8a7bb3fc8185c0937dff0329bd

tdf#33749 - revised help text for merge and split in Calc
Comment 52 Commit Notification 2021-10-14 10:33:54 UTC
Ross Johnson committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7f5379e040221435548d9be7c8c976378c04489a

tdf#33749 - revised merge and unmerge cells UI controls

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.